This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1477134 - Review Request: authselect - Configures authentication and identity sources from supported profiles
Review Request: authselect - Configures authentication and identity sources f...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabiano Fidêncio
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 06:12 EDT by Jakub Hrozek
Modified: 2017-08-17 05:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: authselect-0.1.alpha-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-17 05:55:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fidencio: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2017-08-01 06:12:20 EDT
Spec URL: https://jhrozek.fedorapeople.org/authselect/authselect.spec

SRPM URL: https://jhrozek.fedorapeople.org/authselect/authselect-0.1.alpha-1.fc25.src.rpm

Description: Authconfig is designed to be a replacement for authconfig but it takes a different
approach to configure the system. Instead of letting the administrator
build the pam stack with a tool (which may potentially end up with a
broken configuration), it would ship several tested stacks (profiles)
that solve a use-case and are well tested and supported. At the same time,
some obsolete features of authconfig are not supported by authselect.

Fedora Account System Username: jhrozek

scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20941931
Comment 1 Fabiano Fidêncio 2017-08-01 09:13:47 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in authselect-libs
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[ ]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.

[x]: Each %files section contains %defattr if rpm < 4.4
     NOTE: %defattr present but not needed

[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     authselect-libs , authselect-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: authselect-0.1.alpha-1.fc25.x86_64.rpm
          authselect-libs-0.1.alpha-1.fc25.x86_64.rpm
          authselect-debuginfo-0.1.alpha-1.fc25.x86_64.rpm
          authselect-0.1.alpha-1.fc25.src.rpm
authselect.x86_64: W: spelling-error %description -l en_US Authconfig -> Configuration
authselect.x86_64: W: spelling-error %description -l en_US authconfig -> configuration
authselect.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
authselect.x86_64: E: description-line-too-long C Authconfig is designed to be a replacement for authconfig but it takes a different
authselect.x86_64: W: incoherent-version-in-changelog 0.1-1 ['0.1.alpha-1.fc25', '0.1.alpha-1']
authselect.x86_64: W: no-url-tag
authselect-libs.x86_64: W: no-url-tag
authselect-libs.x86_64: E: non-standard-dir-perm /etc/authselect 711
authselect-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/libauthselect.so.0.0.0
authselect-libs.x86_64: E: non-standard-dir-perm /usr/share/authselect/custom 700
authselect-libs.x86_64: E: non-standard-dir-perm /usr/share/authselect/vendor 700
authselect-debuginfo.x86_64: W: no-url-tag
authselect.src: W: spelling-error %description -l en_US Authconfig -> Configuration
authselect.src: W: spelling-error %description -l en_US authconfig -> configuration
authselect.src: W: spelling-error %description -l en_US pam -> map, Pam, pan
authselect.src: E: description-line-too-long C Authconfig is designed to be a replacement for authconfig but it takes a different
authselect.src: W: no-url-tag
4 packages and 0 specfiles checked; 6 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: authselect-debuginfo-0.1.alpha-1.fc25.x86_64.rpm
authselect-debuginfo.x86_64: W: no-url-tag
1 packages and 0 specfiles checked; 0 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
authselect.x86_64: W: spelling-error %description -l en_US Authconfig -> Configuration
authselect.x86_64: W: spelling-error %description -l en_US authconfig -> configuration
authselect.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
authselect.x86_64: E: description-line-too-long C Authconfig is designed to be a replacement for authconfig but it takes a different
authselect.x86_64: W: incoherent-version-in-changelog 0.1-1 ['0.1.alpha-1.fc25', '0.1.alpha-1']
authselect.x86_64: W: no-url-tag
authselect-debuginfo.x86_64: W: no-url-tag
authselect-libs.x86_64: W: no-url-tag
authselect-libs.x86_64: E: non-standard-dir-perm /usr/share/authselect/vendor 700
authselect-libs.x86_64: E: non-standard-dir-perm /usr/share/authselect/custom 700
authselect-libs.x86_64: E: non-standard-dir-perm /etc/authselect 711
authselect-libs.x86_64: E: library-without-ldconfig-postun /usr/lib64/libauthselect.so.0.0.0
3 packages and 0 specfiles checked; 5 errors, 7 warnings.



Requires
--------
authselect (rpmlib, GLIBC filtered):
    libauthselect.so.0()(64bit)
    libc.so.6()(64bit)
    libpopt.so.0()(64bit)
    libpopt.so.0(LIBPOPT_0)(64bit)
    rtld(GNU_HASH)

authselect-debuginfo (rpmlib, GLIBC filtered):

authselect-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
authselect:
    authselect
    authselect(x86-64)

authselect-debuginfo:
    authselect-debuginfo
    authselect-debuginfo(x86-64)

authselect-libs:
    authselect-libs
    authselect-libs(x86-64)
    libauthselect.so.0()(64bit)



Source checksums
----------------
https://github.com/pbrezina/authselect/archive/0.1-alpha.tar.gz :
  CHECKSUM(SHA256) this package     : b28c34ec2134e29c06e3509a54c11ebd118e002bc7e2b56a8866d58a51c46876
  CHECKSUM(SHA256) upstream package : b28c34ec2134e29c06e3509a54c11ebd118e002bc7e2b56a8866d58a51c46876


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1477134
Buildroot used: fedora-25-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Fabiano Fidêncio 2017-08-01 09:16:24 EDT
Jakub, please, take a look in the review done in comment 3.

Basically, seems that:
- `%postun libs -p /sbin/ldconfig` is missing in the specfile;
- a few rpmlist errors described above will have to be fixed;

Apart from that, everything else looks fine.
Comment 3 Jakub Hrozek 2017-08-01 14:54:40 EDT
Thank you very much for the swift review. New srpm and specfile are uploaded at:

Spec URL: https://jhrozek.fedorapeople.org/authselect/authselect.spec

SRPM URL: https://jhrozek.fedorapeople.org/authselect/authselect-0.1.alpha-2.fc25.src.rpm
Comment 4 Fabiano Fidêncio 2017-08-01 16:36:42 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: authselect-0.1.alpha-2.fc25.x86_64.rpm
          authselect-libs-0.1.alpha-2.fc25.x86_64.rpm
          authselect-debuginfo-0.1.alpha-2.fc25.x86_64.rpm
          authselect-0.1.alpha-2.fc25.src.rpm
authselect.x86_64: W: spelling-error %description -l en_US Authconfig -> Configuration
authselect.x86_64: W: spelling-error %description -l en_US authconfig -> configuration
authselect.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
authselect.src: W: spelling-error %description -l en_US Authconfig -> Configuration
authselect.src: W: spelling-error %description -l en_US authconfig -> configuration
authselect.src: W: spelling-error %description -l en_US pam -> map, Pam, pan
4 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: authselect-debuginfo-0.1.alpha-2.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
authselect.x86_64: W: spelling-error %description -l en_US Authconfig -> Configuration
authselect.x86_64: W: spelling-error %description -l en_US authconfig -> configuration
authselect.x86_64: W: spelling-error %description -l en_US pam -> map, Pam, pan
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
authselect (rpmlib, GLIBC filtered):
    libauthselect.so.0()(64bit)
    libc.so.6()(64bit)
    libpopt.so.0()(64bit)
    libpopt.so.0(LIBPOPT_0)(64bit)
    rtld(GNU_HASH)

authselect-debuginfo (rpmlib, GLIBC filtered):

authselect-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
authselect:
    authselect
    authselect(x86-64)

authselect-debuginfo:
    authselect-debuginfo
    authselect-debuginfo(x86-64)

authselect-libs:
    authselect-libs
    authselect-libs(x86-64)
    libauthselect.so.0()(64bit)



Source checksums
----------------
https://github.com/pbrezina/authselect/archive/0.1-alpha.tar.gz :
  CHECKSUM(SHA256) this package     : b28c34ec2134e29c06e3509a54c11ebd118e002bc7e2b56a8866d58a51c46876
  CHECKSUM(SHA256) upstream package : b28c34ec2134e29c06e3509a54c11ebd118e002bc7e2b56a8866d58a51c46876


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1477134
Buildroot used: fedora-25-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Fabiano Fidêncio 2017-08-01 16:41:01 EDT
Jakub, please, make an SCM admin request[0] for this package.

You have an ACK from me and the fedora-review flag has been set to "+".

[0]: https://fedoraproject.org/wiki/PackageDB_admin_requests
Comment 6 Jakub Hrozek 2017-08-02 08:40:54 EDT
scm requested (not through pkgdb, but the new fedrepo-req tool):
https://pagure.io/dist-git-requests/issue/8
Comment 7 Ralph Bean 2017-08-09 14:26:32 EDT
git repository created.

Sorry for the delay. Let us know if you hit any problems!
Comment 8 Jakub Hrozek 2017-08-17 04:24:44 EDT
I still can't push the package to fedpkg, so I filed:
https://pagure.io/fedora-infrastructure/issue/6265
Comment 9 Jakub Hrozek 2017-08-17 05:37:10 EDT
Cool, built for rawhide now. Let's also build F-27..
Comment 10 Jakub Hrozek 2017-08-17 05:55:39 EDT
OK, authselect-0.1.alpha-2.fc27 also succeeded.

Note You need to log in before you can comment on or make changes to this bug.